qmf::AgentEvent Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Attributes
qmf::AgentEvent Class Reference

`#include <qmf/AgentEvent.h>`

List of all members.

## Public Member Functions
| AgentEvent (AgentEventImpl *impl=0)
| AgentEvent (const AgentEvent &)
AgentEvent & | operator= (const AgentEvent &)
| ~AgentEvent ()
AgentEventCode | getType () const
const std::string & | getUserId () const
Query | getQuery () const
bool | hasDataAddr () const
DataAddr | getDataAddr () const
const std::string & | getMethodName () const
qpid::types::Variant::Map & | getArguments ()
qpid::types::Variant::Map & | getArgumentSubtypes ()
void | addReturnArgument (const std::string &, const qpid::types::Variant &, const std::string &st="")
QMF_INLINE_EXTERN bool | isValid () const
QMF_INLINE_EXTERN bool | isNull () const
QMF_INLINE_EXTERN | operator bool () const
| Conversion to bool supports idiom if (handle) { handle->...
QMF_INLINE_EXTERN bool | operator! () const
| Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.
void | swap (Handle< T > &h)
## Protected Types
typedef T | Impl
## Protected Attributes
Impl * | impl

## Member Typedef Documentation

typedef T qmf::Handle::Impl`[protected, inherited]`

Definition at line 56 of file Handle.h.

## Constructor & Destructor Documentation

qmf::AgentEvent::AgentEvent | ( | AgentEventImpl * | impl = `0` | ) |

qmf::AgentEvent::AgentEvent | ( | const AgentEvent & |  | ) |

qmf::AgentEvent::~AgentEvent | ( |  | ) |

## Member Function Documentation

void qmf::AgentEvent::addReturnArgument | ( | const std::string & | ,
|  | const qpid::types::Variant & | ,
|  | const std::string & | st = `""`
| ) |  |

qpid::types::Variant::Map& qmf::AgentEvent::getArguments | ( |  | ) |

qpid::types::Variant::Map& qmf::AgentEvent::getArgumentSubtypes | ( |  | ) |

DataAddr qmf::AgentEvent::getDataAddr | ( |  | ) | const

const std::string& qmf::AgentEvent::getMethodName | ( |  | ) | const

Query qmf::AgentEvent::getQuery | ( |  | ) | const

AgentEventCode qmf::AgentEvent::getType | ( |  | ) | const

const std::string& qmf::AgentEvent::getUserId | ( |  | ) | const

bool qmf::AgentEvent::hasDataAddr | ( |  | ) | const

QMF_INLINE_EXTERN bool qmf::Handle::isNull | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is null. It is an error to call any function on a null handle.

Definition at line 45 of file Handle.h.

References qmf::Handle::impl.

QMF_INLINE_EXTERN bool qmf::Handle::isValid | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is valid, i.e. not null.

Definition at line 42 of file Handle.h.

References qmf::Handle::impl.

QMF_INLINE_EXTERN qmf::Handle::operator bool | ( |  | ) | const`[inline, inherited]`

Conversion to bool supports idiom if (handle) { handle->...

}

Definition at line 48 of file Handle.h.

References qmf::Handle::impl.

QMF_INLINE_EXTERN bool qmf::Handle::operator! | ( |  | ) | const`[inline, inherited]`

Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.

Definition at line 51 of file Handle.h.

References qmf::Handle::impl.

AgentEvent& qmf::AgentEvent::operator= | ( | const AgentEvent & |  | ) |

void qmf::Handle::swap | ( | Handle< T > & | h | ) | `[inline, inherited]`

Definition at line 53 of file Handle.h.

References qmf::Handle::impl.

## Member Data Documentation

Impl* qmf::Handle::impl`[protected, inherited]`

Definition at line 63 of file Handle.h.

The documentation for this class was generated from the following file:

- qmf/AgentEvent.h